Container Struct Reference

`#include <GTGOTF2_Structs.h>`

## Data Fields

struct __OTF2_String | name
struct __OTF2_String | alias
ContainerType_t * | ctType
otf2_id_t | id
struct Container * | parent
struct gtg_list | token
State_t | state_stack
OTF2_EvtWriter * | evt_writer
char * | name
char * | alias
int | ctType
int | id

## Detailed Description

Containers

## Field Documentation

char* Container::alias

struct __OTF2_String Container::alias

int Container::ctType

ContainerType_t* Container::ctType

OTF2_EvtWriter* Container::evt_writer

int Container::id

otf2_id_t Container::id

char* Container::name

struct __OTF2_String Container::name

struct Container* Container::parent

State_t Container::state_stack

struct gtg_list Container::token

The documentation for this struct was generated from the following files:

- GTGOTF2_Structs.h
- GTGOTF_Structs.h